package com.ruoyi.test;

import com.ruoyi.demo.utils.MtStarUtil;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
public class WakeUpDormancyTest {
    @Autowired
    MtStarUtil mtStarUtil;

    @Test
    public void test(){
        String equipmentCode = "MTX0141791";
        System.out.println(mtStarUtil.getCMark(equipmentCode));
    }

    @Test
    public void wakeUp(){
        String equipmentCode = "MTX0141791";
        System.out.println(mtStarUtil.wakeup(equipmentCode));
    }

    @Test
    public void dormancy(){
        String equipmentCode = "MTX0141791";
        System.out.println(mtStarUtil.dormancy(equipmentCode));
    }
}
